<?
include 'config.php';
echo'
<html><div class="head1"> Связь С Админом </div>
<div class="c">';

if($_GET['sent'] == "")
{

echo' 
<div class="adm"><a href="index.php?sent=check">Админка</a></div>
<br>

<form action="index.php?sent=ok" method="POST">
<font color="red">*</font>Ваше Имя:<br>
<input type="text" name="name"><br>
<font color="red">*</font>Сообщение:<br>
<input type="text" name="msg"><br>
Email или icq для связи:<br>
<input type="text" name="contact"><br><br>
<input type="submit" value="Отправить"><br>

';
}

if($_GET['sent'] == "ok")
{

$name = $_POST['name'];
$msg = $_POST['msg'];
$time = date("m.d.y | H:s:i");



if(empty($_POST['contact']))
{
$contact = "не указан";
}
else
{
$contact = $_POST['contact'];
}



 if(empty($_POST['name']) || empty($_POST['msg']))
{

echo' <div class="admred">Вы Заполнили НЕ все поля!</div>
<br>
<a href="index.php">Назад</a><br>';
}
else
{
$fp = fopen("msg.dat", "a+");
fwrite($fp, '
<div class="msgname">Имя: '.$name.'</div>
<div class="msgmsg">Сообщение:<br>'.$msg.'</div>
<div class="msgcontact">Контакт: '.$contact.'</div>
<div class="msgtime">Время: '.$time.'</div>
<div class="msgnone"></div>');
fclose($fp);

echo' <div class="adm">Сообщение отправлено!<br></div><a href="index.php">Назад</a><br>';
}}




if($_GET['sent'] == "check")

{

echo'<div class="adm"><form action="index.php?sent=admin" method="POST">
Пароль Админа:<br>
<input type="text" name="pass"><br>
<input type="submit" value="Войти"></div>
<br><a href="index.php">Назад</a><br>';


}

if($_GET['sent'] == "admin")
{
$pass = $_POST['pass'];
if($pass == $admpass)
{
echo'<div class="adm">
<a href="index.php?sent=check">Выход</a><br>
<a href="index.php?sent=delall">Очистить</a></div>


<div class="adm">Сообщения</div>';
include'msg.dat';
}
else 
{
echo'<div class="admred">Пароль НЕ ВЕРНЫЙ!</div>
<a href="index.php?sent=check">еще раз!</a><br>';
}
}

if($_GET['sent'] == "delall")
{
unlink("msg.dat");
fopen("msg.dat", "a+");
echo'<div class="adm">Сообщения Удалены!</a></div>
<a href="index.php">На Главную</a><br>';
}
echo'</div><div class="foot"><a href="'.$url.'">На главную</a><br></div></html>
';

?>